[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[abcde] Re: Fixes for abcde 1.9.3
Grumble, sorry for all this spamming...
torkel <torkel@pellefant.acc.umu.se> writes:
> > The patch fixes a typo and a couple of other minor bugs in 1.9.3.
> > -- Binary/unsupported file stripped by Listar --
> > -- Type: text/x-patch
> > -- Desc: Fixes for abcde 1.9.3
>
> Duh, looks like it is more than me that runs into this today :-)
>
> I'll make another try (this time with text/plain...)
This time, the patch should be there...
/torkel
--- abcde-1.9.3.orig Wed Sep 27 22:39:21 2000
+++ abcde-1.9.3 Wed Sep 27 22:45:58 2000
@@ -324,7 +324,7 @@
fi
rm -rf "$ABCDETEMPDIR" || exit 1
mkdir "$ABCDETEMPDIR"
- if [ "$?" gt "0" ]; then
+ if [ "$?" -gt "0" ]; then
# Directory already exists or could not be created
echo -n "abcde: Temp directory $ABCDETEMPDIR could not be created."
exit 1
@@ -503,11 +503,11 @@
CDCHOICENUM=$(echo $CDDBCHOICE | xargs printf %d 2>/dev/null)
while [ $CDCHOICENUM -lt 1 ] || [ $CDCHOICENUM -gt $CDDBCHOICES ]; do
echo "Invalid selection. Please choose a number between 1 and $CDDBCHOICES." >&2
- echo -n "Selection [1-$NUMCDCHOICES]: " >&2
+ echo -n "Selection [1-$CDCHOICENUM]: " >&2
read CDDBCHOICE
CDCHOICENUM=$(echo $CDDBCHOICE | xargs printf %d 2>/dev/null)
done
- echo "Selected: \#$CDCHOICENUM ($(grep ^DTITLE= $ABCDETEMPDIR/cddbread.$CDCHOICENUM | cut -f2- -d=))" >&2
+ echo "Selected: \#$CDCHOICENUM ($(grep ^DTITLE= $ABCDETEMPDIR/cddbread.$CDCHOICENUM | cut -f2- -d= | tr -d \\r\\n))" >&2
echo "cddb-choice=$CDCHOICENUM" >> "$ABCDETEMPDIR/status"
fi
fi
@@ -518,7 +518,7 @@
cat "$ABCDETEMPDIR/cddbchoices"
fi
CDCHOICENUM=1
- echo "Selected: \#$CDCHOICENUM ($(grep ^DTITLE= $ABCDETEMPDIR/cddbread.$CDCHOICENUM | cut -f2- -d=))" >&2
+ echo "Selected: \#$CDCHOICENUM ($(grep ^DTITLE= $ABCDETEMPDIR/cddbread.$CDCHOICENUM | cut -f2- -d= | tr -d \\r\\n))" >&2
echo "cddb-choice=1" >> "$ABCDETEMPDIR/status"
fi
fi
@@ -885,4 +885,5 @@
echo Finished.
# Wipe all the evidence
rm -rf "$ABCDETEMPDIR"
-exit 0
\ No newline at end of file
+exit 0
+
To unsubscribe: echo unsubscribe | mail abcde-request@whimsica.lly.org